package com.hc.core.utils.enums;

import lombok.Getter;

/**
 * @author JIA
 * 自定义消息枚举类
 */
@Getter
public enum InfoEnum {

    NULL_PARAMETER(400, "请求参数错误"),

    LOGIN_USER_NAME_ERROR(201, "用户名错误,此用户不存在"),

    LOGIN_PASSWORD_ERROR(202, "密码错误,请重新输入"),

    LOGIN_REGISTER_RE(204, "用户已存在,不可重复注册"),

    SESSION_EXPIRED(205, "无资源权限,请登录"),

    AUTHCODE_ERROR(206, "验证码输入错误"),

    PAPER_ERROR(212, "此试卷已过期，请联系管理员重新设置"),

    TOKEN_ERROR(209, "非法token,禁止进入系统"),

    USER_INVOICES_ERROR(210, "此订单已申请发票,请不要重复操作"),

    ORDER_ERROR(211, "订单已存在,请不要重复操作"),

    ORDER_NO_EXIT(211, "订单不存在"),
    ORDER_USER_NO_EXIT(212, "退费人员不存在"),
    ORDER_REFUND_ADD_ERROR(213, "有退费单正在申请中，请不要重复操作"),
    LIVE_ERROR(311, "直播数据被培训班使用，请先取消关联"),
    MUST_LOGIN(213, "请先登录再提交"),
    INVOICE_ERROR(511, "发票参数不完整");



    private final Integer key;
    private final String msg;

    InfoEnum(Integer key, String msg) {
        this.key = key;
        this.msg = msg;
    }

}
